function HotCorner(position)
{
  var style = 
  {
    'height': '10px',
    'width': '10px',
    'position': 'absolute',
    'zIndex': '500',
    'MozUserSelect': 'none'
  }
  
  switch (position)
  {
  case 'tl':
    style['top'] = 0;
    style['left'] = 0;
    break;
  case 'tr':
    style['top'] = 0;
    style['right'] = 0;
    break;
  case 'bl':
    style['bottom'] = 0;
    style['left'] = 0;
    break;
  case 'br':
    style['bottom'] = 0;
    style['right'] = 0;
    break;
  case 'hidden':
    style['display'] = "none";
    break;
  default:
    style['top'] = 0;
    style['left'] = 0;
  }

  this.element = newElement('div', {'controller':this, 'style':style});
  this.element.innerHTML = '&nbsp;';
  this.element.unselectable = 'on';
  this.element.onclick = function (event)
  {
    if (this.controller.active)
    {
      var event = event || window.event;
      if (event.ctrlKey && event.shiftKey)
        this.controller.action();
    }
  }
  this.element.onselectstart = function ()
  {
    return false;
  }
  Body.appendChild(this.element);

  this.action = function () {}
  this.active = true;
}
